#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: aeson
version: 0.8.0.2
id: aeson-0.8.0.2-24d32c7beb25bbd304f9054172440547
key: aeson_DIEa3Sufx1r590sbWNooBS
license: BSD3
copyright: (c) 2011-2014 Bryan O'\''Sullivan
           (c) 2011 MailRank, Inc.
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
stability: experimental
homepage: https://github.com/bos/aeson
synopsis: Fast JSON parsing and encoding
description:
    A JSON parsing and encoding library optimized for ease of use
    and high performance.
    .
    To get started, see the documentation for the @Data.Aeson@ module
    below.
    .
    Parsing performance on an early 2011 MacBook Pro (2.2GHz Core i7),
    running 64-bit GHC 7.6.3, for mostly-English tweets from Twitter'\''s
    JSON search API:
    .
    * 0.8 KB: 34124 msg\/sec (27.8 MB\/sec)
    .
    * 6.4 KB: 6833 msg\/sec (43.0 MB\/sec)
    .
    * 11.8 KB: 3410 msg\/sec (39.2 MB\/sec)
    .
    * 31.2 KB: 1157 msg\/sec (35.3 MB\/sec)
    .
    * 61.5 KB: 542 msg\/sec (32.5 MB\/sec)
    .
    Handling heavily-escaped text is a little more work.  Here is
    parsing performance with Japanese tweets, where much of the text
    is entirely Unicode-escaped.
    .
    * 14.6 KB: 2101 msg\/sec (30.0 MB\/sec)
    .
    * 44.1 KB: 667 msg\/sec (28.7 MB\/sec)
    .
    * 82.9 KB: 360 msg\/sec (29.2 MB\/sec)
    .
    Encoding performance on the same machine and data:
    .
    * English, 0.8 KB: 109697 msg\/sec (89.3 MB\/sec)
    .
    * English, 6.4 KB: 18517 msg\/sec (116.4 MB\/sec)
    .
    * Engish, 61.5 KB: 1963 msg\/sec (118.0 MB\/sec)
    .
    * Japanese, 14.6 KB: 12140 msg\/sec (173.5 MB\/sec)
    .
    * Japanese, 44.1 KB: 3980 msg\/sec (171.3 MB\/sec)
    .
    (A note on naming: in Greek mythology, Aeson was the father of Jason.)
category: Text, Web, JSON
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
exposed-modules:
    Data.Aeson Data.Aeson.Encode Data.Aeson.Generic Data.Aeson.Parser
    Data.Aeson.Types Data.Aeson.TH
hidden-modules: Data.Aeson.Encode.ByteString Data.Aeson.Functions
                Data.Aeson.Parser.Internal Data.Aeson.Types.Class
                Data.Aeson.Types.Generic Data.Aeson.Types.Instances
                Data.Aeson.Types.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/aeson-0.8.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/aeson-0.8.0.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/aeson-0.8.0.2
hs-libraries: HSaeson-0.8.0.2-DIEa3Sufx1r590sbWNooBS
include-dirs: /usr/local/include
depends:
    attoparsec-0.12.1.6-99fda756c7d47d27b4267b09d82f489d
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    dlist-0.7.1.1-0c2e9095a69155c990856d1a4731eed1
    ghc-prim-0.4.0.0-af16264bc80979d06e37ac63e3ba9a21
    hashable-1.2.3.3-8f170cf3be214ecb17aa999ac01e25b9
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    scientific-0.3.3.8-f6fbe2ce4ff5b5aa113a9469936c3407
    syb-0.5.1-09089498a055bd723b4a95c1351d3c8a
    template-haskell-2.10.0.0-08b8877239099034286979627d937e79
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    unordered-containers-0.2.5.1-f06a187b7e838c69d874badd31102fe1
    vector-0.10.12.3-df22e243cd37291cebd65584b0ee856f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/aeson-0.8.0.2/html/aeson.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/aeson-0.8.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
